[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ShellCtrls' (#lcl)

# TShellTreeNode.FFileInfo

Member used to store the TSearchRec instance with file or directory information for the tree node.

## Declaration

Source position: shellctrls.pas line 417

`protected TShellTreeNode.FFileInfo : TSearchRec;`

## See also

TShellTreeNode.IsDirectory |  | Indicates if the tree node is a directory on the local file system.
TCustomShellTreeView.Root |  | Indicates the directory or path which is the top-level node in the tree view.
TCustomShellTreeView.PopulateTreeNodeWithFiles |  | Adds tree nodes for file system objects found starting at the specified node / path.
TCustomShellTreeView.PopulateWithBaseFiles |  | Fills the tree view when the Root directory is empty.
TFileItem.FileInfo |  | TSearchRec instance with information about the file or directory in the item.